import { type CategorizedItem } from "../helper/menu";
export declare function useCategory(): {
    categories: import("vue").ComputedRef<CategorizedItem[]>;
    selectedCategories: import("vue").ComputedRef<CategorizedItem[]>;
};
export declare function useResetSelection(): {
    resetOnUnmount: () => void;
    resetOnMount: () => void;
};
